//FUNCTIONS TO DRIVE HD44780 based LCD
//DEFINE : 
//LCD_E = LCD enable PIN
//LCD_RS = LCD rs PIN ( instruction / data select )
//LCD_PORT
//LCD_WIDTH = the caracter number on 1 line


void LCDclk();
//Pulse the enable pin

void LCDinit();
//Soft Reset & Init

void LCDdata(char);
//Send Data to the LCD
//Can be used to display previously set custom cars ( 0 to 7 )

void LCDcontrol(char);
//Send Instructions to the LCD

void LCDprint(char *);
//Send a string to the LCD ( char[] )

void LCDvalue(char);
//Display the value of a CHAR

void LCDpos(char line, char row);
//Set the cursor position

void LCDhome();
//similar to LCDpos(0,0)

void LCDcustomCar(char carnumber, char * car);
//Write user defined caracters to CGRAM. Must be followed by LCDpos ou LCDhome.
//charnumber : the data bank to stock the caracter : 0 to 7
//car : char table. Each char represent 1 line. total : 7 lines.

